<div class="container mt-4 card">
    <div class="row mt-3">
        <div class="col-6">
            <h1>ตารางแสดงข้อมูลผู้ใช้งาน</h1>
        </div>
        <div class="col-6 text-end">
            <button class="btn btn-success mt-2 mb-2" (click)="addUser()">เพิ่มผู้ใช้งาน</button>
        </div>
    </div>
    <div *ngIf="UserArray.length == 0" class="text-center my-5 p-5 card">
        ไม่มีข้อมูลผู้ใช้งาน
    </div>
    <div class="mt-2" *ngIf="UserArray.length != 0">
        <div class="row">
            <div class="col-6 d-flex my-2">
                <input type="text" class="form-control" [(ngModel)]="search" >
                <button class="btn btn-secondary mx-2" (click)="searchUser()">ค้นหา</button>
            </div>
        </div>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th scope="col" class="text-center">ลำดับ</th>
                    <th scope="col">ชื่อ</th>
                    <th scope="col">อีเมล</th>
                    <th scope="col">เบอร์โทรศัพท์</th>
                    <th scope="col">ที่อยู่</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor='let item of UserArray; let i = index'>
                    <th scope="row" class="text-center">{{i+1}}</th>
                    <td>{{item.name}}</td>
                    <td>{{item.email}}</td>
                    <td>{{item.tel}}</td>
                    <td>{{item.address}}</td>
                    <td>
                        <button type="button" class="btn btn-warning mx-1" (click)="editUser(item._id)">แก้ไข</button>
                        <button type="button" class="btn btn-danger mx-1" (click)="delUser(item._id)">ลบ</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

</div>